NX Open C++ Reference Guide
|
Represents a @link Features::AssociativeArc Features::AssociativeArc@endlink builder <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateAssociativeArcBuilder Features::BaseFeatureCollection::CreateAssociativeArcBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | Associative () |
Returns the associative Created in NX5.0.0. | |
NXOpen::SelectPoint * | CenterPoint () |
Returns the center point Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::CenterReference | CenterPointReference () |
Returns the center point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | CenterPointReferenceCsys () |
Returns the center point reference coordinate system Created in NX5.0.0. | |
NXOpen::Vector3d | CenterRadiusLockedPlaneDirection () |
Returns the plane direction for arc type center radius when lock status is GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection Created in NX7.5.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter of arc Created in NX7.5.0. | |
NXOpen::SelectObject * | EndInferredConstraint () |
Returns the end inferred constraint Created in NX5.0.0. | |
NXOpen::SelectPoint * | EndPoint () |
Returns the end point Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::EndOption | EndPointOptions () |
Returns the end point options Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::EndReference | EndPointReference () |
Returns the end point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | EndReferenceCsys () |
Returns the end reference coordinate system Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | EndTangent () |
Returns the end tangent Created in NX5.0.0. | |
NXOpen::GeometricUtilities::CurveLimitsData * | Limits () |
Returns the limits Created in NX5.0.0. | |
NXOpen::SelectObject * | MidInferredConstraint () |
Returns the mid inferred constraint Created in NX5.0.0. | |
NXOpen::SelectPoint * | MidPoint () |
Returns the mid point Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::MidOption | MidPointOptions () |
Returns the mid point options Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::MidReference | MidPointReference () |
Returns the mid point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | MidReferenceCsys () |
Returns the mid reference coordinate system Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | MidTangent () |
Returns the mid tangent Created in NX5.0.0. | |
NXOpen::Expression * | Radius () |
Returns the radius of arc Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative Created in NX5.0.0. | |
void | SetCenterPointReference (NXOpen::Features::AssociativeArcBuilder::CenterReference centerPointReference) |
Sets the center point reference Created in NX5.0.0. | |
void | SetCenterRadiusLockedPlaneDirection (const NXOpen::Vector3d &direction) |
Sets the plane direction for arc type center radius when lock status is GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection Created in NX7.5.0. | |
void | SetEndPointOptions (NXOpen::Features::AssociativeArcBuilder::EndOption endPointOptions) |
Sets the end point options Created in NX5.0.0. | |
void | SetEndPointReference (NXOpen::Features::AssociativeArcBuilder::EndReference endPointReference) |
Sets the end point reference Created in NX5.0.0. | |
void | SetMidPointOptions (NXOpen::Features::AssociativeArcBuilder::MidOption midPointOptions) |
Sets the mid point options Created in NX5.0.0. | |
void | SetMidPointReference (NXOpen::Features::AssociativeArcBuilder::MidReference midPointReference) |
Sets the mid point reference Created in NX5.0.0. | |
void | SetStartPointOptions (NXOpen::Features::AssociativeArcBuilder::StartOption startPointOptions) |
Sets the start point options Created in NX5.0.0. | |
void | SetStartPointReference (NXOpen::Features::AssociativeArcBuilder::StartReference startPointReference) |
Sets the start point reference Created in NX5.0.0. | |
void | SetType (NXOpen::Features::AssociativeArcBuilder::Types type) |
Sets the type option Created in NX5.0.0. | |
void | SetZonePoint (const NXOpen::Point3d &zonePoint) |
Sets the zone point is required when arc has multiple solution with radius constraint or two points of arc constraints are same or middle constraint is tangent. | |
NXOpen::SelectObject * | StartInferredConstraint () |
Returns the start inferred constraint Created in NX5.0.0. | |
NXOpen::SelectPoint * | StartPoint () |
Returns the start point Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::StartOption | StartPointOptions () |
Returns the start point options Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::StartReference | StartPointReference () |
Returns the start point reference Created in NX5.0.0. | |
NXOpen::SelectCartesianCoordinateSystem * | StartReferenceCsys () |
Returns the start reference coordinate system Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | StartTangent () |
Returns the start tangent Created in NX5.0.0. | |
NXOpen::GeometricUtilities::SupportPlaneData * | SupportPlaneData () |
Returns the support plane data Created in NX5.0.0. | |
NXOpen::Features::AssociativeArcBuilder::Types | Type () |
Returns the type option Created in NX5.0.0. | |
NXOpen::Point3d | ZonePoint () |
Returns the zone point is required when arc has multiple solution with radius constraint or two points of arc constraints are same or middle constraint is tangent. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::AssociativeArc Features::AssociativeArc@endlink builder <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateAssociativeArcBuilder Features::BaseFeatureCollection::CreateAssociativeArcBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
Limits.EndLimit.LimitOption |
AtPoint |
SupportPlaneData.SupportPlaneLockStatus |
No |
Created in NX5.0.0.
Represents references for center point.
CenterReferenceWcs |
WCS. |
CenterReferenceAbsolute |
Absolute CSYS. |
CenterReferenceCordinatesSystem |
CSYS. |
Represents references for end point.
EndReferenceWcs |
WCS. |
EndReferenceAbsolute |
Absolute CSYS. |
EndReferenceCordinatesSystem |
CSYS. |
Represents references for mid point.
MidReferenceWcs |
WCS. |
MidReferenceAbsolute |
Absolute CSYS. |
MidReferenceCordinatesSystem |
CSYS. |
Represents references for start point.
StartReferenceWcs |
WCS. |
StartReferenceAbsolute |
Absolute CSYS. |
StartReferenceCordinatesSystem |
CSYS. |
Represents arc type.
TypesThreePointArc |
Three point arc. |
TypesArcFromCenter |
Arc from center. |
bool NXOpen::Features::AssociativeArcBuilder::Associative | ( | ) |
Returns the associative
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::CenterPoint | ( | ) |
Returns the center point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::CenterReference NXOpen::Features::AssociativeArcBuilder::CenterPointReference | ( | ) |
Returns the center point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::CenterPointReferenceCsys | ( | ) |
Returns the center point reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::Vector3d NXOpen::Features::AssociativeArcBuilder::CenterRadiusLockedPlaneDirection | ( | ) |
Returns the plane direction for arc type center radius when lock status is GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AssociativeArcBuilder::Diameter | ( | ) |
Returns the diameter of arc
Created in NX7.5.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::EndInferredConstraint | ( | ) |
Returns the end inferred constraint
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::EndPoint | ( | ) |
Returns the end point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::EndOption NXOpen::Features::AssociativeArcBuilder::EndPointOptions | ( | ) |
Returns the end point options
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::EndReference NXOpen::Features::AssociativeArcBuilder::EndPointReference | ( | ) |
Returns the end point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::EndReferenceCsys | ( | ) |
Returns the end reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::EndTangent | ( | ) |
Returns the end tangent
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveLimitsData* NXOpen::Features::AssociativeArcBuilder::Limits | ( | ) |
Returns the limits
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::MidInferredConstraint | ( | ) |
Returns the mid inferred constraint
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::MidPoint | ( | ) |
Returns the mid point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::MidOption NXOpen::Features::AssociativeArcBuilder::MidPointOptions | ( | ) |
Returns the mid point options
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::MidReference NXOpen::Features::AssociativeArcBuilder::MidPointReference | ( | ) |
Returns the mid point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::MidReferenceCsys | ( | ) |
Returns the mid reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::MidTangent | ( | ) |
Returns the mid tangent
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::AssociativeArcBuilder::Radius | ( | ) |
Returns the radius of arc
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::AssociativeArcBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
associative | associative |
void NXOpen::Features::AssociativeArcBuilder::SetCenterPointReference | ( | NXOpen::Features::AssociativeArcBuilder::CenterReference | centerPointReference | ) |
Sets the center point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
centerPointReference | centerpointreference |
void NXOpen::Features::AssociativeArcBuilder::SetCenterRadiusLockedPlaneDirection | ( | const NXOpen::Vector3d & | direction | ) |
Sets the plane direction for arc type center radius when lock status is GeometricUtilities::SupportPlaneData::LockPlaneStatusCenterPointDirection
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
direction | direction |
void NXOpen::Features::AssociativeArcBuilder::SetEndPointOptions | ( | NXOpen::Features::AssociativeArcBuilder::EndOption | endPointOptions | ) |
Sets the end point options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
endPointOptions | endpointoptions |
void NXOpen::Features::AssociativeArcBuilder::SetEndPointReference | ( | NXOpen::Features::AssociativeArcBuilder::EndReference | endPointReference | ) |
Sets the end point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
endPointReference | endpointreference |
void NXOpen::Features::AssociativeArcBuilder::SetMidPointOptions | ( | NXOpen::Features::AssociativeArcBuilder::MidOption | midPointOptions | ) |
Sets the mid point options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
midPointOptions | midpointoptions |
void NXOpen::Features::AssociativeArcBuilder::SetMidPointReference | ( | NXOpen::Features::AssociativeArcBuilder::MidReference | midPointReference | ) |
Sets the mid point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
midPointReference | midpointreference |
void NXOpen::Features::AssociativeArcBuilder::SetStartPointOptions | ( | NXOpen::Features::AssociativeArcBuilder::StartOption | startPointOptions | ) |
Sets the start point options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
startPointOptions | startpointoptions |
void NXOpen::Features::AssociativeArcBuilder::SetStartPointReference | ( | NXOpen::Features::AssociativeArcBuilder::StartReference | startPointReference | ) |
Sets the start point reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
startPointReference | startpointreference |
void NXOpen::Features::AssociativeArcBuilder::SetType | ( | NXOpen::Features::AssociativeArcBuilder::Types | type | ) |
Sets the type option
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
type | type |
void NXOpen::Features::AssociativeArcBuilder::SetZonePoint | ( | const NXOpen::Point3d & | zonePoint | ) |
Sets the zone point is required when arc has multiple solution with radius constraint or two points of arc constraints are same or middle constraint is tangent.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE")
zonePoint | zonepoint |
NXOpen::SelectObject* NXOpen::Features::AssociativeArcBuilder::StartInferredConstraint | ( | ) |
Returns the start inferred constraint
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::AssociativeArcBuilder::StartPoint | ( | ) |
Returns the start point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::StartOption NXOpen::Features::AssociativeArcBuilder::StartPointOptions | ( | ) |
Returns the start point options
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::StartReference NXOpen::Features::AssociativeArcBuilder::StartPointReference | ( | ) |
Returns the start point reference
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCartesianCoordinateSystem* NXOpen::Features::AssociativeArcBuilder::StartReferenceCsys | ( | ) |
Returns the start reference coordinate system
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::AssociativeArcBuilder::StartTangent | ( | ) |
Returns the start tangent
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::SupportPlaneData* NXOpen::Features::AssociativeArcBuilder::SupportPlaneData | ( | ) |
Returns the support plane data
Created in NX5.0.0.
License requirements : None
NXOpen::Features::AssociativeArcBuilder::Types NXOpen::Features::AssociativeArcBuilder::Type | ( | ) |
Returns the type option
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::AssociativeArcBuilder::ZonePoint | ( | ) |
Returns the zone point is required when arc has multiple solution with radius constraint or two points of arc constraints are same or middle constraint is tangent.
Created in NX5.0.0.
License requirements : None